﻿using System.Windows;
using System.Diagnostics;
using OAuthUtility.Properties;
using OAuth.Domain;

namespace OAuthUtility
{

    public partial class PIN
    {
        public PIN(ServiceProviderItem currentServiceProvider, string oauth_token)
        {
            InitializeComponent();
            Process.Start(string.Format(currentServiceProvider.AuthorizeTokenUrl, oauth_token));
        }

        private void BtnSavePinClick(object sender, RoutedEventArgs e)
        {
            Settings.Default.PIN = txtPIN.Text;
            Close();
        }
    }
}
